Cannot get package details Octokit #1526

Closed
halcwb opened this Issue Mar 17, 2016 · 5 comments

Comments

Projects
None yet
2 participants
@halcwb
Contributor

halcwb commented Mar 17, 2016

When runnnig paket update with the following dependency file:

source https://nuget.org/api/v2

group build
    source https://nuget.org/api/v2
    nuget FSharp.Formatting
    nuget Fake
    nuget SourceLink.Fake
    nuget Newtonsoft.Json
    github fsharp/FAKE modules/Octokit/Octokit.fsx

group project
    source https://nuget.org/api/v2
    nuget FSPowerPack.Community

group test
    source https://nuget.org/api/v2
    nuget Unquote
    nuget FsCheck
    nuget FsUnit
    nuget NUnit ~> 2
    nuget NUnit.Runners ~> 2

I run into the following error:

Paket failed with:
Couldn't get package details for package Octokit 0.19.0 on https://nuget.org/api/v2.

@forki

This comment has been minimized.

Show comment
Hide comment
@forki

forki Mar 17, 2016

Member

Sound like temporary nuget issue. Can you try to run "paket update -f"?
On Mar 17, 2016 6:51 PM, "Casper" notifications@github.com wrote:

When runnnig paket update with the following dependency file:

source https://nuget.org/api/v2

group build
source https://nuget.org/api/v2
nuget FSharp.Formatting
nuget Fake
nuget SourceLink.Fake
nuget Newtonsoft.Json
github fsharp/FAKE modules/Octokit/Octokit.fsx

group project
source https://nuget.org/api/v2
nuget FSPowerPack.Community

group test
source https://nuget.org/api/v2
nuget Unquote
nuget FsCheck
nuget FsUnit
nuget NUnit ~> 2
nuget NUnit.Runners ~> 2

I run into the following error:

Paket failed with:
Couldn't get package details for package Octokit 0.19.0 on
https://nuget.org/api/v2.


You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub
#1526

Member

forki commented Mar 17, 2016

Sound like temporary nuget issue. Can you try to run "paket update -f"?
On Mar 17, 2016 6:51 PM, "Casper" notifications@github.com wrote:

When runnnig paket update with the following dependency file:

source https://nuget.org/api/v2

group build
source https://nuget.org/api/v2
nuget FSharp.Formatting
nuget Fake
nuget SourceLink.Fake
nuget Newtonsoft.Json
github fsharp/FAKE modules/Octokit/Octokit.fsx

group project
source https://nuget.org/api/v2
nuget FSPowerPack.Community

group test
source https://nuget.org/api/v2
nuget Unquote
nuget FsCheck
nuget FsUnit
nuget NUnit ~> 2
nuget NUnit.Runners ~> 2

I run into the following error:

Paket failed with:
Couldn't get package details for package Octokit 0.19.0 on
https://nuget.org/api/v2.


You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub
#1526

@forki

This comment has been minimized.

Show comment
Hide comment
@forki

forki Mar 17, 2016

Member

I think I will increase the retry count anyways
On Mar 17, 2016 6:55 PM, "Steffen Forkmann" sforkmann@gmail.com wrote:

Sound like temporary nuget issue. Can you try to run "paket update -f"?
On Mar 17, 2016 6:51 PM, "Casper" notifications@github.com wrote:

When runnnig paket update with the following dependency file:

source https://nuget.org/api/v2

group build
source https://nuget.org/api/v2
nuget FSharp.Formatting
nuget Fake
nuget SourceLink.Fake
nuget Newtonsoft.Json
github fsharp/FAKE modules/Octokit/Octokit.fsx

group project
source https://nuget.org/api/v2
nuget FSPowerPack.Community

group test
source https://nuget.org/api/v2
nuget Unquote
nuget FsCheck
nuget FsUnit
nuget NUnit ~> 2
nuget NUnit.Runners ~> 2

I run into the following error:

Paket failed with:
Couldn't get package details for package Octokit 0.19.0 on
https://nuget.org/api/v2.


You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub
#1526

Member

forki commented Mar 17, 2016

I think I will increase the retry count anyways
On Mar 17, 2016 6:55 PM, "Steffen Forkmann" sforkmann@gmail.com wrote:

Sound like temporary nuget issue. Can you try to run "paket update -f"?
On Mar 17, 2016 6:51 PM, "Casper" notifications@github.com wrote:

When runnnig paket update with the following dependency file:

source https://nuget.org/api/v2

group build
source https://nuget.org/api/v2
nuget FSharp.Formatting
nuget Fake
nuget SourceLink.Fake
nuget Newtonsoft.Json
github fsharp/FAKE modules/Octokit/Octokit.fsx

group project
source https://nuget.org/api/v2
nuget FSPowerPack.Community

group test
source https://nuget.org/api/v2
nuget Unquote
nuget FsCheck
nuget FsUnit
nuget NUnit ~> 2
nuget NUnit.Runners ~> 2

I run into the following error:

Paket failed with:
Couldn't get package details for package Octokit 0.19.0 on
https://nuget.org/api/v2.


You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub
#1526

@forki

This comment has been minimized.

Show comment
Hide comment
@forki

forki Mar 17, 2016

Member

Ok 2.25.15 is automatically retrying with force flag if first trial doesn't succeed

Member

forki commented Mar 17, 2016

Ok 2.25.15 is automatically retrying with force flag if first trial doesn't succeed

@forki forki closed this in 52bd593 Mar 17, 2016

@forki

This comment has been minimized.

Show comment
Hide comment
@forki

forki Mar 17, 2016

Member

so please try "paket update" with 2.25.15. It should not need the -f flag

Member

forki commented Mar 17, 2016

so please try "paket update" with 2.25.15. It should not need the -f flag

@halcwb

This comment has been minimized.

Show comment
Hide comment
@halcwb

halcwb Mar 17, 2016

Contributor

I tried the latest paket version 2.52.16.0 and it now works, thanks!

Contributor

halcwb commented Mar 17, 2016

I tried the latest paket version 2.52.16.0 and it now works, thanks!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment